Open topic with navigation

TIBCO® Managed File Transfer Platform Server for z/OS 8.1.0

# FUSINQ

You can use the FUSINQ exec to inquire on the status of file transfers.

## Required Parameters

This exec does not have required parameters.

## Optional Parameters

The following table lists the optional parameters of the FUSINQ exec:

Parameter | Description
--- | ---
CONFIG | CFG | Defines the configuration file used by the FUSINQ exec. If this parameter is not defined, the Platform Server REXX uses the default configuration.
DAYS | Defines the number of days for how long the Platform Server scans the requests. The default value is `1`. Note: This parameter is ignored if both the STARTDATE and ENDDATE parameters are provided.
DBYTE | DB | Defines the CyberFusion to display the current byte count.
DMSG | DM | Defines the CyberFusion to display the most recent message prefix.
ENDDATE | EDATE | Defines the last day on which the Platform Server scans the requests. The format of this parameter is `YYYYDD`. The default value is the date of today. You can also specify `TODAY` or `TOD` for the date of today, and `YESTERDAY` or `YES` for the date of yesterday.
ENDTIME | ETIME | Defines the last time at which the Platform Server scans the requests. The format of this parameter is `HHMM` (24-hour system). The default value is `2400`, which is the last minute of the day.
EXCEPTIONS | EXC | Defines whether exceptions are used as a selection criteria. When this operand is specified, records that are on the active queue are not extracted because they do not have a status of successful or unsuccessful. Valid values are: `U`: Extracts only unsuccessful transfers. `S`: Extracts only successful transfers. Note: By default, both successful and unsuccessful transfers are inquired.
HISTORYQ | HQ | Defines the type of records that are extracted. The Platform Server has a history file and a queue of active and inactive transfers. This parameter determines whether the history file, queue, or both are used to extract transfers. The default value is `B`, which indicates extracting data from both the history file and queue. Valid values are: `H`: Indicates extracting data from the history file. `Q`: Indicates extracting data from the queue. `B`: Indicates extracting data from the history file and queue.
LOCALIZE | FILE | LF | Defines the name of the local file for a file transfer request of the Platform Server.
LOCALISER | LUSER | Defines the name of the user ID that queued the Platform Server request.
MAXXFER | Defines the maximum number of transfers returned by the FUSINQ exec. The default value is `500`. The valid values are `1` - `10000`.
PROCESS | PRO | Defines the Platform Server process name for the request.
REMOTESYS | RSYS | Defines the IPNAME, IPADDR, LUNAME, LIST, or NODE parameter that is requested when the request is initiated.
STARTDATE | SDATE | Defines the date on which the Platform Server starts to scan the requests. The format of this parameter is `YYYYDDD`. The default value is the date of today. You can also specify `TODAY` or `TOD` for the date of today, and `YESTERDAY` or `YES` for the date of yesterday.
STARTTIME | STIME | Defines the time at which the Platform Server starts to scan the requests. The format of this parameter is `HHMM` (24-hour system). The default value is `0000`, which is first minute of the day.
TRANSNUM | TRN | Defines the transaction number associated with the request. The Platform Server creates a unique transaction number for all requests that are initiated either locally or remotely.
USERDATA | UDATA | Defines the user data for a Platform Server request. The user data is defined on a Platform Server queue request by adding the DESCRIPTION parameter to the transfer.

Note: For more information on inquiry date processing, see Inquiry Date Processing.

Copyright © 2003-2021. TIBCO Software Inc. All Rights Reserved.